
# Commands running every game tick
# Use setblock -900 12 720 redstone_block to enable
# Use setblock -900 12 720 stone to disable

# Teleport agent to the NOVICE starting point if they haven't already been teleported
execute @e[type=minecraft:npc,tag=CLRNOV] ~ ~ ~ execute @p ~ ~ ~ tp @c[tag=!TPNOV] 40 44 41
execute @e[type=minecraft:npc,tag=CLRNOV] ~ ~ ~ execute @p ~ ~ ~ tag @c add TPNOV

# Teleport agent to the INTERMEDIATE starting point if they haven't already been teleported
execute @e[type=minecraft:npc,tag=CLRINT] ~ ~ ~ execute @p ~ ~ ~ tp @c[tag=!TPINT] 90 59 139 0 180
execute @e[type=minecraft:npc,tag=CLRINT] ~ ~ ~ execute @p ~ ~ ~ tag @c add TPINT

# Teleport agent to the EXPERT starting point if they haven't already been teleported
execute @e[type=minecraft:npc,tag=CLREXP] ~ ~ ~ execute @p ~ ~ ~ tp @c[tag=!TPEXP] 229 44 103
execute @e[type=minecraft:npc,tag=CLREXP] ~ ~ ~ execute @p ~ ~ ~ tag @c add TPEXP

# Reset the plot piece by piece
execute @e[type=minecraft:npc,tag=CLRNOV] ~ ~ ~ execute @e[tag=scores,scores={resetTime=2..}] ~ ~ ~ function novice/clearplot
execute @e[type=minecraft:npc,tag=CLRINT] ~ ~ ~ execute @e[tag=scores,scores={resetTime=2..}] ~ ~ ~ function intermediate/clearplot
execute @e[type=minecraft:npc,tag=CLREXP] ~ ~ ~ execute @e[tag=scores,scores={resetTime=2..}] ~ ~ ~ function expert/clearplot
execute @e[tag=scores,scores={resetTime=1..1}] ~ ~ ~ execute @s[tag=backtomenu] ~ ~ ~ function menu/return
scoreboard players remove @e[tag=scores,scores={resetTime=1..}] resetTime 1

# Apply blindness + invisibility while plots are resetting
execute @e[tag=scores,scores={resetTime=1..1}] ~ ~ ~ effect @p clear
execute @e[tag=scores,scores={resetTime=1..1}] ~ ~ ~ title @p times 0 10 0
execute @e[tag=scores,scores={resetTime=1..1}] ~ ~ ~ titleraw @p title { "rawtext": [ { "translate" : "title.loading" } ] }

# Applied objective speed boosts
execute @e[type=minecraft:npc,tag=CLRAPP] ~ ~ ~ tag @a add givespeed
tag @a[x=178,y=0,z=752,dx=40,dy=255,dz=34] remove givespeed
tag @a[x=185,y=0,z=859,dx=20,dy=255,dz=30] remove givespeed
tag @a[x=306,y=0,z=771,dx=20,dy=255,dz=30] remove givespeed
tag @a[x=183,y=0,z=677,dx=30,dy=255,dz=20] remove givespeed
tag @a[x=96,y=0,z=779,dx=20,dy=255,dz=30] remove givespeed
effect @a[tag=givespeed] speed 1 1 true

